View Issue Details

IDProjectCategoryView StatusLast Update
0003354unrealircdpublic2008-02-11 16:15
ReportervonitsanetAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformOS-OS Version-
Product Version3.2.6 
Target VersionFixed in Version3.2.8 
Summary0003354: Dont allow part message when banned
Description/mode #channel +b Bad_Guy!*@*

Bad_Guy -> /part #channel f*ck u $chanoper

I've seen this as an automatic script too.

So my idea is to block part messages when someone is banned.

TagsNo tags attached.
3rd party modules

Relationships

child of 0003454 resolvedsyzop Unreal3.2.8 TODO 

Activities

Stealth

2007-05-20 22:24

reporter   ~0014199

good idea

Bricker

2007-05-20 22:57

reporter   ~0014200

wtf, hell yeah good idea. why wasnt this done?! I DEMAND RESULTS!!! :-P

on a more serious note, yeah i've seen it and its a good idea. +1 to voni, :)

Shining Phoenix

2007-05-21 01:36

reporter   ~0014202

Last edited: 2007-05-27 01:05

That's channel mode b, may as well take account of mMcSG as well =P

WolfSage

2007-05-21 09:32

reporter   ~0014203

Any modes affecting channel messages should affect PART messages as well. +1

vonitsanet

2007-05-21 14:08

reporter   ~0014204

Is possible to hide quit message too on these situations?

Stealth

2007-05-21 16:15

reporter   ~0014205

When it comes to quit, you'd need to block it intirely, because only 1 quit line is sent to the client... IMO it isn't a good idea, no sense blocking a quit message going to all the channels when the ban is only on 1 channel.

vonitsanet

2007-05-21 16:25

reporter   ~0014206

You're right Bugz.
I was not sure if it was possible to block the quit reason for this one channel only.

WolfSage

2007-05-21 20:30

reporter   ~0014207

Ah, but you can't change your nick if you're banned on any one channel. What of that? =P

Bricker

2007-05-21 21:50

reporter   ~0014208

wolfsage, make it use nickhistory to follow users nick and dont allow nickchange

if you dont understand, just ask and i'll explain better

Stealth

2007-05-22 00:03

reporter   ~0014209

Bricker, that sounds very unrelated...

Bricker

2007-05-22 09:23

reporter   ~0014212

Bugz, try reading again, thanks

WolfSage

2007-05-22 09:36

reporter   ~0014213

Heh. My comment about nick changes was to Bugz' "Blocking a quit message going to all the channels when the ban is only on one channel."

We currently do that with other modes that can affect a user channel wide. (Such as bans)

aquanight

2007-05-26 20:19

reporter   ~0014225

As far as "block quit for the one channel" it's doable. Eg bahamut treats it as a blank PART on those channels that are +m, banned, +c, etc, and THEN does the QUIT.

But.

This is doable in a module. Easily doable.

The other reason this isn't as needed: far more often than not: +b is followed by kick. So user doesn't get in his lame partmsg if your kick is faster. (I have sometimes wished for a true atomic kickban. No, not like kick + ban + nuclear explosion from guys box kind of atomic :P ... But again. Doable in module.)

Stealth

2007-05-27 20:31

reporter   ~0014227

Seems like a good idea to send the part first, then the quit...

It may be doable in the module, but probably would be more maintainable being in the core...

Shining Phoenix

2007-06-05 21:18

reporter   ~0014278

Related to http://bugs.unrealircd.org/view.php?id=3297

And to reiterate, I believe all channel modes that affect channel messages should affect /part messages as well.

syzop

2008-02-11 16:14

administrator   ~0015086

already in cvs
- Remove part reason when user is banned, suggested by vonitsanet (0003354).

syzop

2008-02-11 16:14

administrator   ~0015089

was already in cvs, but forgot to close this bug ;)

- Remove part reason when user is banned, suggested by vonitsanet (0003354).

Issue History

Date Modified Username Field Change
2007-05-20 20:52 vonitsanet New Issue
2007-05-20 22:24 Stealth Note Added: 0014199
2007-05-20 22:57 Bricker Note Added: 0014200
2007-05-21 01:36 Shining Phoenix Note Added: 0014202
2007-05-21 09:32 WolfSage Note Added: 0014203
2007-05-21 09:32 WolfSage Status new => acknowledged
2007-05-21 14:08 vonitsanet Note Added: 0014204
2007-05-21 16:15 Stealth Note Added: 0014205
2007-05-21 16:25 vonitsanet Note Added: 0014206
2007-05-21 20:30 WolfSage Note Added: 0014207
2007-05-21 21:50 Bricker Note Added: 0014208
2007-05-22 00:03 Stealth Note Added: 0014209
2007-05-22 09:23 Bricker Note Added: 0014212
2007-05-22 09:36 WolfSage Note Added: 0014213
2007-05-26 20:19 aquanight Note Added: 0014225
2007-05-27 01:05 Shining Phoenix Note Edited: 0014202
2007-05-27 20:31 Stealth Note Added: 0014227
2007-06-05 21:18 Shining Phoenix Note Added: 0014278
2007-07-18 07:29 stskeeps Relationship added child of 0003454
2008-02-11 16:14 syzop QA => Not touched yet by developer
2008-02-11 16:14 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-02-11 16:14 syzop Status acknowledged => closed
2008-02-11 16:14 syzop Note Added: 0015086
2008-02-11 16:14 syzop Resolution open => duplicate
2008-02-11 16:14 syzop Status closed => resolved
2008-02-11 16:14 syzop Fixed in Version => 3.2.8
2008-02-11 16:14 syzop Resolution duplicate => fixed
2008-02-11 16:14 syzop Assigned To => syzop
2008-02-11 16:14 syzop Note Added: 0015089